Summary: Strategy game based on Ataxx
Name: xattax
Version: 1.0
Release: 4
Source: ftp://sunsite.unc.edu/pub/linux/games/strategy/xattax.tar.gz
Source1: xattaxx.desktop 
Copyright: distributable 
Group: Amusements/Games
Patch: xataxx.imake.patch
Buildroot: /var/tmp/xattax-root

%description
Xataxx is a strategy game based on Ataxx. It is a game of position and
movement. The object is to have the most peices of your color on the
board at the end of the game. Can be played against another person or
the computer.

%prep
%setup -q -n xataxx
%patch -p1 -b .mike 

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx
make install TARGET=$RPM_BUILD_ROOT BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin/
make install.man $RPM_BUILD_ROOT/ DESTDIR=$RPM_BUILD_ROOT
make install.lib $RPM_BUILD_ROOT/ DATADIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx

#install -m 644 -o root -g root boards.num $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx
#install -m 644 -o root -g root lib/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx/

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games/ 
install -m 644 -o root -g root $RPM_SOURCE_DIR/xattaxx.desktop  $RPM_BUILD_ROOT/etc/X11/applnk/Games/ 

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/X11R6/bin/xataxx
/usr/X11R6/man/man1/xataxx.1x
/usr/X11R6/lib/X11/xataxx/*
/etc/X11/applnk/Games/xattaxx.desktop

%changelog
* Thu Apr 08 1999 Michael Maher <mike@redhat.com>
- built for 6.0
- changed wmconfig

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- built package


